"""followers

Revision ID: 65288c6fb5d2
Revises: deaf7a91303d
Create Date: 2019-09-19 10:05:44.040753

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '65288c6fb5d2'
down_revision = 'deaf7a91303d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('followers',
    sa.Column('follower_id', sa.Integer(), nullable=True),
    sa.Column('followed_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['followed_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['follower_id'], ['user.id'], )
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('followers')
    # ### end Alembic commands ###
